#!/usr/bin/perl 

package Android;

use ExportBase;

our @ISA = qw(ExportBase);

my $description = "Handbrake MPEG4 output for Android devices.";
my $devices = "Android";
my $notes = "";
my $version = "1.0";

sub new{
    my $class = shift;
    my $self = $class->SUPER::new(shift, shift, $description, $devices, $notes, $version);
    bless $self, $class;
    return $self;
}

sub export{
    my( $self ) = @_;

    system("HandBrakeCLI -i \'$self->{_inputFile}\' -o '$self->{_outputFile}$self->{_extension}\' -f mp4 -w 480 -l 320 --deinterlace=\"slow\" -e x264 -x cabac=0:deblock=1,0:analyse=0x1,0x111:bitrate=416:psy_rd=1.0,0.0:chroma_me=1:chroma_qp_offset=-2:threads=3:nr=0:keyint=250:keyint_min=25:scenecut=40:bitrate=416:ratetol=1.0:qcomp=0.60:qpmin=10:qpmax=51:qpstep=4:cplxblur=20.0:qblur=0.5 -a 1 -E faac -B 96 -R 44.1 -6 stereo -D 1 -v -2 -T");

}

1;
