#!/usr/bin/perl 

package AppleTV;

use ExportBase;

our @ISA = qw(ExportBase);

my $description = "HandBrake's settings for the AppleTV and 2009's iPhone and iPod Touch lineup. Provides a good balance between quality and file size, and pushes the devices to their limits. Includes Dolby Digital 5.1 AC3 sound for the AppleTV.";
my $devices = "AppleTV";
my $notes = "";
my $version = "1.0";

sub new{
    my $class = shift;
    my $self = $class->SUPER::new(shift, shift, $description, $devices, $notes, $version);
    bless $self, $class;
    return $self;
}

sub export{
    my( $self ) = @_;

    system("HandBrakeCLI -i \'$self->{_inputFile}\' -o \'$self->{_outputFile}$self->{_extension}\' --preset=\"AppleTV\"");

}

1;
