#!/usr/bin/perl 

package HighProfile;

use ExportBase;

our @ISA = qw(ExportBase);

my $description = "HandBrake's general-purpose preset for High Profile H.264 video, with all the bells and whistles.";
my $devices = "";
my $notes = "";
my $version = "1.0";

sub new{
    my $class = shift;
    my $self = $class->SUPER::new(shift, shift, $description, $devices, $notes, $version);
    bless $self, $class;
    return $self;
}

sub export{
    my( $self ) = @_;

    system("HandBrakeCLI -i \'$self->{_inputFile}\' -o \'$self->{_outputFile}$self->{_extension}\' --preset=\"High Profile\"");

}

1;
