#!/usr/bin/perl 

package Universal;

use ExportBase;

our @ISA = qw(ExportBase);

my $description = "HandBrake's universally compatible, full resolution settings for all current Apple devices";
my $devices = "iPod (6G and up), iPhone, AppleTV, and Macs.";
my $notes = "";
my $version = "1.0";

sub new{
    my $class = shift;
    my $self = $class->SUPER::new(shift, shift, $description, $devices, $notes, $version);
    bless $self, $class;
    return $self;
}

sub export{
    my( $self ) = @_;

    system("HandBrakeCLI -i \'$self->{_inputFile}\' -o \'$self->{_outputFile}$self->{_extension}\' --preset=\"Universal\"");

}

1;
