#!/usr/bin/perl 

package iPad;

use ExportBase;

our @ISA = qw(ExportBase);

my $description = "HandBrake's preset for the iPad is optimized for viewing on its 1024x768 display";
my $devices = "iPad";
my $notes = "";
my $version = "1.0";

sub new{
    my $class = shift;
    my $self = $class->SUPER::new(shift, shift, $description, $devices, $notes, $version);
    bless $self, $class;
    return $self;
}

sub export{
    my( $self ) = @_;

    system("HandBrakeCLI -i \'$self->{_inputFile}\' -o \'$self->{_outputFile}$self->{_extension}\' --preset=\"iPad\"");

}

1;
