#!/usr/bin/perl 

package iPhone;

use ExportBase;

our @ISA = qw(ExportBase);

my $description = "HandBrake's settings for all iPhones and iPod Touches going back to the original iPhone 2G.";
my $devices = "iPhone and iPod Touch";
my $notes = "";
my $version = "1.0";

sub new{
    my $class = shift;
    my $self = $class->SUPER::new(shift, shift, $description, $devices, $notes, $version);
    bless $self, $class;
    return $self;
}

sub export{
    my( $self ) = @_;

    system("HandBrakeCLI -i \'$self->{_inputFile}\' -o \'$self->{_outputFile}$self->{_extension}\' --preset=\"iPhone & iPod Touch\"");

}

1;
