#!/usr/bin/perl 

package iPod;

use ExportBase;

our @ISA = qw(ExportBase);

my $description = "HandBrake's low resolution settings, optimized for great playback on the iPod screen, with smaller file size. ";
my $devices = "iPod (5G and up)";
my $notes = "";
my $version = "1.0";

sub new{
    my $class = shift;
    my $self = $class->SUPER::new(shift, shift, $description, $devices, $notes, $version);
    bless $self, $class;
    return $self;
}

sub export{
    my( $self ) = @_;

    system("HandBrakeCLI -i \'$self->{_inputFile}\' -o \'$self->{_outputFile}$self->{_extension}\' --preset=\"iPod\"");

}

1;
