#!/usr/bin/perl 

package NIT;

use ExportBase;

our @ISA = qw(ExportBase);

my $description = "High Quality export for Nokia Internet Tablets (used BeyondPod).";
my $devices = "N770, N800 and N900";
my $notes = "Tested fine on Andriod phones and tablets.";
my $version = "1.0";

sub new{
    my $class = shift;
    my $self = $class->SUPER::new(shift, shift, $description, $devices, $notes, $version);
    bless $self, $class;
    return $self;
}

sub export{
    my( $self ) = @_;

    system("/usr/bin/tablet-encode -q -p mplayer \'$self->{_inputFile}\' \'$self->{_outputFile}$self->{_extension}\'");

}

1;
