#!/usr/bin/perl 

package iPhone4;

use ExportBase;

our @ISA = qw(ExportBase);

my $description = "HandBrake's preset for the iPhone 4 is optimized for viewing on its 960x480 display.";
my $devices = "iPhone 4";
my $notes = "";
my $version = "1.0";

sub new{
    my $class = shift;
    my $self = $class->SUPER::new(shift, shift, $description, $devices, $notes, $version);
    bless $self, $class;
    return $self;
}

sub export{
    my( $self ) = @_;

    system("HandBrakeCLI -i \'$self->{_inputFile}\' -o \'$self->{_outputFile}$self->{_extension}\' --preset=\"iPhone 4\"");

}

1;
